package stackjava.com.springmvc.controller;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import stackjava.com.springmvc.model.RSSMessage;
import stackjava.com.springmvc.rss.RSSFeedViewer;

@Controller
public class RSSController {

	@RequestMapping("/")
	public ModelAndView getFeedInRss() {

		List<RSSMessage> items = new ArrayList<RSSMessage>();

		RSSMessage content = new RSSMessage();
		content.setTitle("Spring");
		content.setUrl("https://stackjava.com/category/spring");
		content.setSummary("Spring tutorial");
		content.setCreatedDate(new Date());
		items.add(content);

		RSSMessage content2 = new RSSMessage();
		content2.setTitle("Hibernate");
		content2.setUrl("https://stackjava.com/category/hibernate");
		content2.setSummary("Hibernate tutorial");
		content2.setCreatedDate(new Date());
		items.add(content2);

		ModelAndView mav = new ModelAndView();
		mav.setViewName("rssViewer");
		mav.addObject(RSSFeedViewer.FEED_CONTENT, items);

		return mav;
	}
}
